Upstream information

CVE-2015-1858 at MITRE

Description

Multiple buffer overflows in gui/image/qbmphandler.cpp in the QtBase module in Qt before 4.8.7 and 5.x before 5.4.2 allow remote attackers to cause a denial of service (segmentation fault and crash) and possibly execute arbitrary code via a crafted BMP image.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 921999 [RESOLVED / FIXED], 927806 [REOPENED], 927807 [RESOLVED / FIXED], 927808 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • libQtWebKit4 >= 4.6.3-5.34.2
  • libQtWebKit4-32bit >= 4.6.3-5.34.2
  • libqt4 >= 4.6.3-5.34.2
  • libqt4-32bit >= 4.6.3-5.34.2
  • libqt4-qt3support >= 4.6.3-5.34.2
  • libqt4-qt3support-32bit >= 4.6.3-5.34.2
  • libqt4-sql >= 4.6.3-5.34.2
  • libqt4-sql-32bit >= 4.6.3-5.34.2
  • libqt4-sql-mysql >= 4.6.3-5.34.2
  • libqt4-sql-mysql-32bit >= 4.6.3-5.34.2
  • libqt4-sql-postgresql >= 4.6.3-5.34.2
  • libqt4-sql-postgresql-32bit >= 4.6.3-5.34.2
  • libqt4-sql-sqlite >= 4.6.3-5.34.2
  • libqt4-sql-sqlite-32bit >= 4.6.3-5.34.2
  • libqt4-sql-unixODBC >= 4.6.3-5.34.2
  • libqt4-sql-unixODBC-32bit >= 4.6.3-5.34.2
  • libqt4-x11 >= 4.6.3-5.34.2
  • libqt4-x11-32bit >= 4.6.3-5.34.2
Patchnames:
sledsp3-libqt4-201505
SUSE Linux Enterprise Desktop 12
  • libQt5Core5 >= 5.3.1-4.4.2
  • libQt5DBus5 >= 5.3.1-4.4.2
  • libQt5Gui5 >= 5.3.1-4.4.2
  • libQt5Widgets5 >= 5.3.1-4.4.2
  • libqt4 >= 4.8.6-4.2
  • libqt4-32bit >= 4.8.6-4.2
  • libqt4-qt3support >= 4.8.6-4.2
  • libqt4-qt3support-32bit >= 4.8.6-4.2
  • libqt4-sql >= 4.8.6-4.2
  • libqt4-sql-32bit >= 4.8.6-4.2
  • libqt4-sql-mysql >= 4.8.6-4.1
  • libqt4-sql-mysql-32bit >= 4.8.6-4.1
  • libqt4-sql-plugins >= 4.8.6-4.1
  • libqt4-sql-postgresql >= 4.8.6-4.1
  • libqt4-sql-postgresql-32bit >= 4.8.6-4.1
  • libqt4-sql-sqlite >= 4.8.6-4.2
  • libqt4-sql-sqlite-32bit >= 4.8.6-4.2
  • libqt4-sql-unixODBC >= 4.8.6-4.1
  • libqt4-sql-unixODBC-32bit >= 4.8.6-4.1
  • libqt4-x11 >= 4.8.6-4.2
  • libqt4-x11-32bit >= 4.8.6-4.2
  • libqt5-qtbase >= 5.3.1-4.4.2
Patchnames:
SUSE-SLE-DESKTOP-12-2015-380
SUSE-SLE-DESKTOP-12-2015-399
SUSE Linux Enterprise Desktop 12 SP1
  • libQt5Core5 >= 5.3.2-1.81
  • libQt5DBus5 >= 5.3.2-1.81
  • libQt5Gui5 >= 5.3.2-1.81
  • libQt5Widgets5 >= 5.3.2-1.81
  • libqt4 >= 4.8.6-4.2
  • libqt4-32bit >= 4.8.6-4.2
  • libqt4-qt3support >= 4.8.6-4.2
  • libqt4-qt3support-32bit >= 4.8.6-4.2
  • libqt4-sql >= 4.8.6-4.2
  • libqt4-sql-32bit >= 4.8.6-4.2
  • libqt4-sql-mysql >= 4.8.6-4.1
  • libqt4-sql-mysql-32bit >= 4.8.6-4.1
  • libqt4-sql-postgresql >= 4.8.6-4.1
  • libqt4-sql-postgresql-32bit >= 4.8.6-4.1
  • libqt4-sql-sqlite >= 4.8.6-4.2
  • libqt4-sql-sqlite-32bit >= 4.8.6-4.2
  • libqt4-sql-unixODBC >= 4.8.6-4.1
  • libqt4-sql-unixODBC-32bit >= 4.8.6-4.1
  • libqt4-x11 >= 4.8.6-4.2
  • libqt4-x11-32bit >= 4.8.6-4.2
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libQt5Core5
SUSE Linux Enterprise Desktop 12 SP1 GA libqt4-32bit
SUSE Linux Enterprise Desktop 12 SP2
  • libQt5Concurrent5 >= 5.6.1-11.7
  • libQt5Core5 >= 5.6.1-11.7
  • libQt5DBus5 >= 5.6.1-11.7
  • libQt5Gui5 >= 5.6.1-11.7
  • libQt5Network5 >= 5.6.1-11.7
  • libQt5OpenGL5 >= 5.6.1-11.7
  • libQt5PrintSupport5 >= 5.6.1-11.7
  • libQt5Sql5 >= 5.6.1-11.7
  • libQt5Sql5-mysql >= 5.6.1-11.7
  • libQt5Sql5-postgresql >= 5.6.1-11.7
  • libQt5Sql5-sqlite >= 5.6.1-11.7
  • libQt5Sql5-unixODBC >= 5.6.1-11.7
  • libQt5Test5 >= 5.6.1-11.7
  • libQt5Widgets5 >= 5.6.1-11.7
  • libQt5Xml5 >= 5.6.1-11.7
  • libqt4 >= 4.8.6-7.1
  • libqt4-32bit >= 4.8.6-7.1
  • libqt4-qt3support >= 4.8.6-7.1
  • libqt4-qt3support-32bit >= 4.8.6-7.1
  • libqt4-sql >= 4.8.6-7.1
  • libqt4-sql-32bit >= 4.8.6-7.1
  • libqt4-sql-mysql >= 4.8.6-7.1
  • libqt4-sql-mysql-32bit >= 4.8.6-7.1
  • libqt4-sql-postgresql >= 4.8.6-7.1
  • libqt4-sql-postgresql-32bit >= 4.8.6-7.1
  • libqt4-sql-sqlite >= 4.8.6-7.1
  • libqt4-sql-sqlite-32bit >= 4.8.6-7.1
  • libqt4-sql-unixODBC >= 4.8.6-7.1
  • libqt4-sql-unixODBC-32bit >= 4.8.6-7.1
  • libqt4-x11 >= 4.8.6-7.1
  • libqt4-x11-32bit >= 4.8.6-7.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libQt5Concurrent5
SUSE Linux Enterprise Desktop 12 SP2 GA libqt4-32bit
SUSE Linux Enterprise Desktop 12 SP3
  • libQt5Concurrent5 >= 5.6.2-5.9
  • libQt5Core5 >= 5.6.2-5.9
  • libQt5DBus5 >= 5.6.2-5.9
  • libQt5Gui5 >= 5.6.2-5.9
  • libQt5Network5 >= 5.6.2-5.9
  • libQt5OpenGL5 >= 5.6.2-5.9
  • libQt5PrintSupport5 >= 5.6.2-5.9
  • libQt5Sql5 >= 5.6.2-5.9
  • libQt5Sql5-mysql >= 5.6.2-5.9
  • libQt5Sql5-postgresql >= 5.6.2-5.9
  • libQt5Sql5-sqlite >= 5.6.2-5.9
  • libQt5Sql5-unixODBC >= 5.6.2-5.9
  • libQt5Test5 >= 5.6.2-5.9
  • libQt5Widgets5 >= 5.6.2-5.9
  • libQt5Xml5 >= 5.6.2-5.9
  • libqt4 >= 4.8.6-7.1
  • libqt4-32bit >= 4.8.6-7.1
  • libqt4-qt3support >= 4.8.6-7.1
  • libqt4-qt3support-32bit >= 4.8.6-7.1
  • libqt4-sql >= 4.8.6-7.1
  • libqt4-sql-32bit >= 4.8.6-7.1
  • libqt4-sql-mysql >= 4.8.6-7.1
  • libqt4-sql-mysql-32bit >= 4.8.6-7.1
  • libqt4-sql-postgresql >= 4.8.6-7.1
  • libqt4-sql-postgresql-32bit >= 4.8.6-7.1
  • libqt4-sql-sqlite >= 4.8.6-7.1
  • libqt4-sql-sqlite-32bit >= 4.8.6-7.1
  • libqt4-sql-unixODBC >= 4.8.6-7.1
  • libqt4-sql-unixODBC-32bit >= 4.8.6-7.1
  • libqt4-x11 >= 4.8.6-7.1
  • libqt4-x11-32bit >= 4.8.6-7.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libQt5Concurrent5
SUSE Linux Enterprise Desktop 12 SP3 GA libqt4-32bit
SUSE Linux Enterprise Server 11 SP3
  • libQtWebKit4 >= 4.6.3-5.34.2
  • libQtWebKit4-32bit >= 4.6.3-5.34.2
  • libQtWebKit4-x86 >= 4.6.3-5.34.2
  • libqt4 >= 4.6.3-5.34.2
  • libqt4-32bit >= 4.6.3-5.34.2
  • libqt4-qt3support >= 4.6.3-5.34.2
  • libqt4-qt3support-32bit >= 4.6.3-5.34.2
  • libqt4-qt3support-x86 >= 4.6.3-5.34.2
  • libqt4-sql >= 4.6.3-5.34.2
  • libqt4-sql-32bit >= 4.6.3-5.34.2
  • libqt4-sql-mysql >= 4.6.3-5.34.2
  • libqt4-sql-sqlite >= 4.6.3-5.34.2
  • libqt4-sql-x86 >= 4.6.3-5.34.2
  • libqt4-x11 >= 4.6.3-5.34.2
  • libqt4-x11-32bit >= 4.6.3-5.34.2
  • libqt4-x11-x86 >= 4.6.3-5.34.2
  • libqt4-x86 >= 4.6.3-5.34.2
  • qt4-x11-tools >= 4.6.3-5.34.2
Patchnames:
slessp3-libqt4-201505
SUSE Linux Enterprise Server 11 SP4
  • libQtWebKit4 >= 4.6.3-5.34.2
  • libQtWebKit4-32bit >= 4.6.3-5.34.2
  • libQtWebKit4-x86 >= 4.6.3-5.34.2
  • libqt4 >= 4.6.3-5.34.2
  • libqt4-32bit >= 4.6.3-5.34.2
  • libqt4-qt3support >= 4.6.3-5.34.2
  • libqt4-qt3support-32bit >= 4.6.3-5.34.2
  • libqt4-qt3support-x86 >= 4.6.3-5.34.2
  • libqt4-sql >= 4.6.3-5.34.2
  • libqt4-sql-32bit >= 4.6.3-5.34.2
  • libqt4-sql-mysql >= 4.6.3-5.34.2
  • libqt4-sql-sqlite >= 4.6.3-5.34.2
  • libqt4-sql-x86 >= 4.6.3-5.34.2
  • libqt4-x11 >= 4.6.3-5.34.2
  • libqt4-x11-32bit >= 4.6.3-5.34.2
  • libqt4-x11-x86 >= 4.6.3-5.34.2
  • libqt4-x86 >= 4.6.3-5.34.2
  • qt4-x11-tools >= 4.6.3-5.34.2
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libQtWebKit4-32bit
SUSE Linux Enterprise Server 12
  • libQt5Core5 >= 5.3.1-4.4.2
  • libQt5DBus5 >= 5.3.1-4.4.2
  • libQt5Gui5 >= 5.3.1-4.4.2
  • libQt5Widgets5 >= 5.3.1-4.4.2
  • libqt4 >= 4.8.6-4.2
  • libqt4-32bit >= 4.8.6-4.2
  • libqt4-devel-doc >= 4.8.6-4.6
  • libqt4-qt3support >= 4.8.6-4.2
  • libqt4-qt3support-32bit >= 4.8.6-4.2
  • libqt4-sql >= 4.8.6-4.2
  • libqt4-sql-32bit >= 4.8.6-4.2
  • libqt4-sql-mysql >= 4.8.6-4.1
  • libqt4-sql-plugins >= 4.8.6-4.1
  • libqt4-sql-sqlite >= 4.8.6-4.2
  • libqt4-x11 >= 4.8.6-4.2
  • libqt4-x11-32bit >= 4.8.6-4.2
  • libqt5-qtbase >= 5.3.1-4.4.2
  • qt4-x11-tools >= 4.8.6-4.6
Patchnames:
SUSE-SLE-SERVER-12-2015-380
SUSE-SLE-SERVER-12-2015-399
SUSE Linux Enterprise Server 12 SP1
  • libQt5Core5 >= 5.3.2-1.81
  • libQt5DBus5 >= 5.3.2-1.81
  • libQt5Gui5 >= 5.3.2-1.81
  • libQt5Widgets5 >= 5.3.2-1.81
  • libqt4 >= 4.8.6-4.2
  • libqt4-32bit >= 4.8.6-4.2
  • libqt4-qt3support >= 4.8.6-4.2
  • libqt4-qt3support-32bit >= 4.8.6-4.2
  • libqt4-sql >= 4.8.6-4.2
  • libqt4-sql-32bit >= 4.8.6-4.2
  • libqt4-sql-mysql >= 4.8.6-4.1
  • libqt4-sql-sqlite >= 4.8.6-4.2
  • libqt4-x11 >= 4.8.6-4.2
  • libqt4-x11-32bit >= 4.8.6-4.2
  • qt4-x11-tools >= 4.8.6-4.6
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libQt5Core5
SUSE Linux Enterprise Server 12 SP1 GA libqt4-32bit
SUSE Linux Enterprise Server 12 SP2
  • libQt5Concurrent5 >= 5.6.1-11.7
  • libQt5Core5 >= 5.6.1-11.7
  • libQt5DBus5 >= 5.6.1-11.7
  • libQt5Gui5 >= 5.6.1-11.7
  • libQt5Network5 >= 5.6.1-11.7
  • libQt5OpenGL5 >= 5.6.1-11.7
  • libQt5PrintSupport5 >= 5.6.1-11.7
  • libQt5Sql5 >= 5.6.1-11.7
  • libQt5Sql5-mysql >= 5.6.1-11.7
  • libQt5Sql5-postgresql >= 5.6.1-11.7
  • libQt5Sql5-sqlite >= 5.6.1-11.7
  • libQt5Sql5-unixODBC >= 5.6.1-11.7
  • libQt5Test5 >= 5.6.1-11.7
  • libQt5Widgets5 >= 5.6.1-11.7
  • libQt5Xml5 >= 5.6.1-11.7
  • libqt4 >= 4.8.6-7.1
  • libqt4-32bit >= 4.8.6-7.1
  • libqt4-qt3support >= 4.8.6-7.1
  • libqt4-qt3support-32bit >= 4.8.6-7.1
  • libqt4-sql >= 4.8.6-7.1
  • libqt4-sql-32bit >= 4.8.6-7.1
  • libqt4-sql-mysql >= 4.8.6-7.1
  • libqt4-sql-sqlite >= 4.8.6-7.1
  • libqt4-x11 >= 4.8.6-7.1
  • libqt4-x11-32bit >= 4.8.6-7.1
  • qt4-x11-tools >= 4.8.6-7.3
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libQt5Concurrent5
SUSE Linux Enterprise Server 12 SP2 GA libqt4-32bit
SUSE Linux Enterprise Server 12 SP3
  • libQt5Concurrent5 >= 5.6.2-5.9
  • libQt5Core5 >= 5.6.2-5.9
  • libQt5DBus5 >= 5.6.2-5.9
  • libQt5Gui5 >= 5.6.2-5.9
  • libQt5Network5 >= 5.6.2-5.9
  • libQt5OpenGL5 >= 5.6.2-5.9
  • libQt5PrintSupport5 >= 5.6.2-5.9
  • libQt5Sql5 >= 5.6.2-5.9
  • libQt5Sql5-mysql >= 5.6.2-5.9
  • libQt5Sql5-postgresql >= 5.6.2-5.9
  • libQt5Sql5-sqlite >= 5.6.2-5.9
  • libQt5Sql5-unixODBC >= 5.6.2-5.9
  • libQt5Test5 >= 5.6.2-5.9
  • libQt5Widgets5 >= 5.6.2-5.9
  • libQt5Xml5 >= 5.6.2-5.9
  • libqt4 >= 4.8.6-7.1
  • libqt4-32bit >= 4.8.6-7.1
  • libqt4-qt3support >= 4.8.6-7.1
  • libqt4-qt3support-32bit >= 4.8.6-7.1
  • libqt4-sql >= 4.8.6-7.1
  • libqt4-sql-32bit >= 4.8.6-7.1
  • libqt4-sql-mysql >= 4.8.6-7.1
  • libqt4-sql-sqlite >= 4.8.6-7.1
  • libqt4-x11 >= 4.8.6-7.1
  • libqt4-x11-32bit >= 4.8.6-7.1
  • qt4-x11-tools >= 4.8.6-7.3
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libQt5Concurrent5
SUSE Linux Enterprise Server 12 SP3 GA libqt4-32bit
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libQt5Concurrent5 >= 5.6.1-11.7
  • libQt5Core5 >= 5.6.1-11.7
  • libQt5DBus5 >= 5.6.1-11.7
  • libQt5Gui5 >= 5.6.1-11.7
  • libQt5Network5 >= 5.6.1-11.7
  • libQt5OpenGL5 >= 5.6.1-11.7
  • libQt5PrintSupport5 >= 5.6.1-11.7
  • libQt5Sql5 >= 5.6.1-11.7
  • libQt5Sql5-mysql >= 5.6.1-11.7
  • libQt5Sql5-postgresql >= 5.6.1-11.7
  • libQt5Sql5-sqlite >= 5.6.1-11.7
  • libQt5Sql5-unixODBC >= 5.6.1-11.7
  • libQt5Test5 >= 5.6.1-11.7
  • libQt5Widgets5 >= 5.6.1-11.7
  • libQt5Xml5 >= 5.6.1-11.7
  • libqt4 >= 4.8.6-7.1
  • libqt4-qt3support >= 4.8.6-7.1
  • libqt4-sql >= 4.8.6-7.1
  • libqt4-sql-mysql >= 4.8.6-7.1
  • libqt4-sql-sqlite >= 4.8.6-7.1
  • libqt4-x11 >= 4.8.6-7.1
  • qt4-x11-tools >= 4.8.6-7.3
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libQt5Concurrent5
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libqt4
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • libQtWebKit4 >= 4.6.3-5.34.2
  • libQtWebKit4-32bit >= 4.6.3-5.34.2
  • libQtWebKit4-x86 >= 4.6.3-5.34.2
  • libqt4 >= 4.6.3-5.34.2
  • libqt4-32bit >= 4.6.3-5.34.2
  • libqt4-qt3support >= 4.6.3-5.34.2
  • libqt4-qt3support-32bit >= 4.6.3-5.34.2
  • libqt4-qt3support-x86 >= 4.6.3-5.34.2
  • libqt4-sql >= 4.6.3-5.34.2
  • libqt4-sql-32bit >= 4.6.3-5.34.2
  • libqt4-sql-mysql >= 4.6.3-5.34.2
  • libqt4-sql-sqlite >= 4.6.3-5.34.2
  • libqt4-sql-x86 >= 4.6.3-5.34.2
  • libqt4-x11 >= 4.6.3-5.34.2
  • libqt4-x11-32bit >= 4.6.3-5.34.2
  • libqt4-x11-x86 >= 4.6.3-5.34.2
  • libqt4-x86 >= 4.6.3-5.34.2
  • qt4-x11-tools >= 4.6.3-5.34.2
Patchnames:
slessp3-libqt4-201505
SUSE Linux Enterprise Server for SAP Applications 12
  • libQt5Core5 >= 5.3.1-4.4.2
  • libQt5DBus5 >= 5.3.1-4.4.2
  • libQt5Gui5 >= 5.3.1-4.4.2
  • libQt5Widgets5 >= 5.3.1-4.4.2
  • libqt4 >= 4.8.6-4.2
  • libqt4-32bit >= 4.8.6-4.2
  • libqt4-devel-doc >= 4.8.6-4.6
  • libqt4-qt3support >= 4.8.6-4.2
  • libqt4-qt3support-32bit >= 4.8.6-4.2
  • libqt4-sql >= 4.8.6-4.2
  • libqt4-sql-32bit >= 4.8.6-4.2
  • libqt4-sql-mysql >= 4.8.6-4.1
  • libqt4-sql-plugins >= 4.8.6-4.1
  • libqt4-sql-sqlite >= 4.8.6-4.2
  • libqt4-x11 >= 4.8.6-4.2
  • libqt4-x11-32bit >= 4.8.6-4.2
  • libqt5-qtbase >= 5.3.1-4.4.2
  • qt4-x11-tools >= 4.8.6-4.6
Patchnames:
SUSE-SLE-SERVER-12-2015-380
SUSE-SLE-SERVER-12-2015-399
SUSE Linux Enterprise Server for VMWare 11 SP3
  • libQtWebKit4 >= 4.6.3-5.34.2
  • libQtWebKit4-32bit >= 4.6.3-5.34.2
  • libQtWebKit4-x86 >= 4.6.3-5.34.2
  • libqt4 >= 4.6.3-5.34.2
  • libqt4-32bit >= 4.6.3-5.34.2
  • libqt4-qt3support >= 4.6.3-5.34.2
  • libqt4-qt3support-32bit >= 4.6.3-5.34.2
  • libqt4-qt3support-x86 >= 4.6.3-5.34.2
  • libqt4-sql >= 4.6.3-5.34.2
  • libqt4-sql-32bit >= 4.6.3-5.34.2
  • libqt4-sql-mysql >= 4.6.3-5.34.2
  • libqt4-sql-sqlite >= 4.6.3-5.34.2
  • libqt4-sql-x86 >= 4.6.3-5.34.2
  • libqt4-x11 >= 4.6.3-5.34.2
  • libqt4-x11-32bit >= 4.6.3-5.34.2
  • libqt4-x11-x86 >= 4.6.3-5.34.2
  • libqt4-x86 >= 4.6.3-5.34.2
  • qt4-x11-tools >= 4.6.3-5.34.2
Patchnames:
slessp3-libqt4-201505
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libQtWebKit-devel >= 4.6.3-5.34.2
  • libQtWebKit4-32bit >= 4.6.3-5.34.2
  • libQtWebKit4-x86 >= 4.6.3-5.34.2
  • libqt4-devel >= 4.6.3-5.34.2
  • libqt4-devel-doc >= 4.6.3-5.34.2
  • libqt4-devel-doc-data >= 4.6.3-5.34.2
  • libqt4-sql-mysql-32bit >= 4.6.3-5.34.2
  • libqt4-sql-mysql-x86 >= 4.6.3-5.34.2
  • libqt4-sql-postgresql >= 4.6.3-5.34.2
  • libqt4-sql-postgresql-32bit >= 4.6.3-5.34.2
  • libqt4-sql-postgresql-x86 >= 4.6.3-5.34.2
  • libqt4-sql-sqlite-32bit >= 4.6.3-5.34.2
  • libqt4-sql-sqlite-x86 >= 4.6.3-5.34.2
  • libqt4-sql-unixODBC >= 4.6.3-5.34.2
  • libqt4-sql-unixODBC-32bit >= 4.6.3-5.34.2
  • libqt4-sql-unixODBC-x86 >= 4.6.3-5.34.2
Patchnames:
sdksp3-libqt4-201505
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libQtWebKit-devel >= 4.6.3-5.34.2
  • libQtWebKit4-32bit >= 4.6.3-5.34.2
  • libQtWebKit4-x86 >= 4.6.3-5.34.2
  • libqt4-devel >= 4.6.3-5.34.2
  • libqt4-devel-doc >= 4.6.3-5.34.2
  • libqt4-devel-doc-data >= 4.6.3-5.34.2
  • libqt4-sql-mysql-32bit >= 4.6.3-5.34.2
  • libqt4-sql-mysql-x86 >= 4.6.3-5.34.2
  • libqt4-sql-postgresql >= 4.6.3-5.34.2
  • libqt4-sql-postgresql-32bit >= 4.6.3-5.34.2
  • libqt4-sql-postgresql-x86 >= 4.6.3-5.34.2
  • libqt4-sql-sqlite-32bit >= 4.6.3-5.34.2
  • libqt4-sql-sqlite-x86 >= 4.6.3-5.34.2
  • libqt4-sql-unixODBC >= 4.6.3-5.34.2
  • libqt4-sql-unixODBC-32bit >= 4.6.3-5.34.2
  • libqt4-sql-unixODBC-x86 >= 4.6.3-5.34.2
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libQtWebKit-devel
SUSE Linux Enterprise Software Development Kit 12
  • libQt5Bootstrap-devel-static >= 5.3.1-4.4.2
  • libQt5Concurrent-devel >= 5.3.1-4.4.2
  • libQt5Concurrent5 >= 5.3.1-4.4.2
  • libQt5Core-devel >= 5.3.1-4.4.2
  • libQt5Core-private-headers-devel >= 5.3.1-4.4.2
  • libQt5DBus-devel >= 5.3.1-4.4.2
  • libQt5DBus-private-headers-devel >= 5.3.1-4.4.2
  • libQt5Gui-devel >= 5.3.1-4.4.2
  • libQt5Gui-private-headers-devel >= 5.3.1-4.4.2
  • libQt5Network-devel >= 5.3.1-4.4.2
  • libQt5Network-private-headers-devel >= 5.3.1-4.4.2
  • libQt5Network5 >= 5.3.1-4.4.2
  • libQt5OpenGL-devel >= 5.3.1-4.4.2
  • libQt5OpenGL-private-headers-devel >= 5.3.1-4.4.2
  • libQt5OpenGL5 >= 5.3.1-4.4.2
  • libQt5OpenGLExtensions-devel-static >= 5.3.1-4.4.2
  • libQt5PlatformSupport-devel-static >= 5.3.1-4.4.2
  • libQt5PlatformSupport-private-headers-devel >= 5.3.1-4.4.2
  • libQt5PrintSupport-devel >= 5.3.1-4.4.2
  • libQt5PrintSupport-private-headers-devel >= 5.3.1-4.4.2
  • libQt5PrintSupport5 >= 5.3.1-4.4.2
  • libQt5Sql-devel >= 5.3.1-4.4.2
  • libQt5Sql-private-headers-devel >= 5.3.1-4.4.2
  • libQt5Sql5 >= 5.3.1-4.4.2
  • libQt5Sql5-mysql >= 5.3.1-4.4.2
  • libQt5Sql5-postgresql >= 5.3.1-4.4.2
  • libQt5Sql5-sqlite >= 5.3.1-4.4.2
  • libQt5Sql5-unixODBC >= 5.3.1-4.4.2
  • libQt5Test-devel >= 5.3.1-4.4.2
  • libQt5Test-private-headers-devel >= 5.3.1-4.4.2
  • libQt5Test5 >= 5.3.1-4.4.2
  • libQt5Widgets-devel >= 5.3.1-4.4.2
  • libQt5Widgets-private-headers-devel >= 5.3.1-4.4.2
  • libQt5Xml-devel >= 5.3.1-4.4.2
  • libQt5Xml5 >= 5.3.1-4.4.2
  • libqt4 >= 4.8.6-4.2
  • libqt4-devel >= 4.8.6-4.2
  • libqt4-devel-doc >= 4.8.6-4.6
  • libqt4-devel-doc-data >= 4.8.6-4.6
  • libqt4-linguist >= 4.8.6-4.2
  • libqt4-private-headers-devel >= 4.8.6-4.2
  • libqt4-sql-plugins >= 4.8.6-4.1
  • libqt4-sql-postgresql >= 4.8.6-4.1
  • libqt4-sql-postgresql-32bit >= 4.8.6-4.1
  • libqt4-sql-unixODBC >= 4.8.6-4.1
  • libqt4-sql-unixODBC-32bit >= 4.8.6-4.1
  • libqt5-qtbase >= 5.3.1-4.4.2
  • libqt5-qtbase-common-devel >= 5.3.1-4.4.2
  • libqt5-qtbase-devel >= 5.3.1-4.4.2
  • libqt5-qtbase-doc >= 5.3.1-4.4.2
  • libqt5-qtbase-private-headers-devel >= 5.3.1-4.4.2
Patchnames:
SUSE-SLE-SDK-12-2015-380
SUSE-SLE-SDK-12-2015-399
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libQt5Bootstrap-devel-static >= 5.3.2-1.81
  • libQt5Concurrent-devel >= 5.3.2-1.81
  • libQt5Concurrent5 >= 5.3.2-1.81
  • libQt5Core-devel >= 5.3.2-1.81
  • libQt5Core-private-headers-devel >= 5.3.2-1.81
  • libQt5DBus-devel >= 5.3.2-1.81
  • libQt5DBus-private-headers-devel >= 5.3.2-1.81
  • libQt5Gui-devel >= 5.3.2-1.81
  • libQt5Gui-private-headers-devel >= 5.3.2-1.81
  • libQt5Network-devel >= 5.3.2-1.81
  • libQt5Network-private-headers-devel >= 5.3.2-1.81
  • libQt5Network5 >= 5.3.2-1.81
  • libQt5OpenGL-devel >= 5.3.2-1.81
  • libQt5OpenGL-private-headers-devel >= 5.3.2-1.81
  • libQt5OpenGL5 >= 5.3.2-1.81
  • libQt5OpenGLExtensions-devel-static >= 5.3.2-1.81
  • libQt5PlatformSupport-devel-static >= 5.3.2-1.81
  • libQt5PlatformSupport-private-headers-devel >= 5.3.2-1.81
  • libQt5PrintSupport-devel >= 5.3.2-1.81
  • libQt5PrintSupport-private-headers-devel >= 5.3.2-1.81
  • libQt5PrintSupport5 >= 5.3.2-1.81
  • libQt5Sql-devel >= 5.3.2-1.81
  • libQt5Sql-private-headers-devel >= 5.3.2-1.81
  • libQt5Sql5 >= 5.3.2-1.81
  • libQt5Sql5-mysql >= 5.3.2-1.81
  • libQt5Sql5-postgresql >= 5.3.2-1.81
  • libQt5Sql5-sqlite >= 5.3.2-1.81
  • libQt5Sql5-unixODBC >= 5.3.2-1.81
  • libQt5Test-devel >= 5.3.2-1.81
  • libQt5Test-private-headers-devel >= 5.3.2-1.81
  • libQt5Test5 >= 5.3.2-1.81
  • libQt5Widgets-devel >= 5.3.2-1.81
  • libQt5Widgets-private-headers-devel >= 5.3.2-1.81
  • libQt5Xml-devel >= 5.3.2-1.81
  • libQt5Xml5 >= 5.3.2-1.81
  • libqt4-devel >= 4.8.6-4.2
  • libqt4-devel-doc >= 4.8.6-4.6
  • libqt4-devel-doc-data >= 4.8.6-4.6
  • libqt4-linguist >= 4.8.6-4.2
  • libqt4-private-headers-devel >= 4.8.6-4.2
  • libqt4-sql-postgresql >= 4.8.6-4.1
  • libqt4-sql-postgresql-32bit >= 4.8.6-4.1
  • libqt4-sql-unixODBC >= 4.8.6-4.1
  • libqt4-sql-unixODBC-32bit >= 4.8.6-4.1
  • libqt5-qtbase-common-devel >= 5.3.2-1.81
  • libqt5-qtbase-devel >= 5.3.2-1.81
  • libqt5-qtbase-doc >= 5.3.2-1.81
  • libqt5-qtbase-private-headers-devel >= 5.3.2-1.81
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libQt5Bootstrap-devel-static
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libqt4-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libQt5Bootstrap-devel-static >= 5.6.1-11.7
  • libQt5Concurrent-devel >= 5.6.1-11.7
  • libQt5Core-devel >= 5.6.1-11.7
  • libQt5Core-private-headers-devel >= 5.6.1-11.7
  • libQt5DBus-devel >= 5.6.1-11.7
  • libQt5DBus-private-headers-devel >= 5.6.1-11.7
  • libQt5Gui-devel >= 5.6.1-11.7
  • libQt5Gui-private-headers-devel >= 5.6.1-11.7
  • libQt5Network-devel >= 5.6.1-11.7
  • libQt5Network-private-headers-devel >= 5.6.1-11.7
  • libQt5OpenGL-devel >= 5.6.1-11.7
  • libQt5OpenGL-private-headers-devel >= 5.6.1-11.7
  • libQt5OpenGLExtensions-devel-static >= 5.6.1-11.7
  • libQt5PlatformHeaders-devel >= 5.6.1-11.7
  • libQt5PlatformSupport-devel-static >= 5.6.1-11.7
  • libQt5PlatformSupport-private-headers-devel >= 5.6.1-11.7
  • libQt5PrintSupport-devel >= 5.6.1-11.7
  • libQt5PrintSupport-private-headers-devel >= 5.6.1-11.7
  • libQt5Sql-devel >= 5.6.1-11.7
  • libQt5Sql-private-headers-devel >= 5.6.1-11.7
  • libQt5Test-devel >= 5.6.1-11.7
  • libQt5Test-private-headers-devel >= 5.6.1-11.7
  • libQt5Widgets-devel >= 5.6.1-11.7
  • libQt5Widgets-private-headers-devel >= 5.6.1-11.7
  • libQt5Xml-devel >= 5.6.1-11.7
  • libqt4-devel >= 4.8.6-7.1
  • libqt4-devel-doc >= 4.8.6-7.3
  • libqt4-devel-doc-data >= 4.8.6-7.3
  • libqt4-linguist >= 4.8.6-7.1
  • libqt4-private-headers-devel >= 4.8.6-7.1
  • libqt4-sql-postgresql >= 4.8.6-7.1
  • libqt4-sql-postgresql-32bit >= 4.8.6-7.1
  • libqt4-sql-unixODBC >= 4.8.6-7.1
  • libqt4-sql-unixODBC-32bit >= 4.8.6-7.1
  • libqt5-qtbase-common-devel >= 5.6.1-11.7
  • libqt5-qtbase-devel >= 5.6.1-11.7
  • libqt5-qtbase-private-headers-devel >= 5.6.1-11.7
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libQt5Bootstrap-devel-static
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libqt4-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libQt5Bootstrap-devel-static >= 5.6.2-5.9
  • libQt5Concurrent-devel >= 5.6.2-5.9
  • libQt5Core-devel >= 5.6.2-5.9
  • libQt5Core-private-headers-devel >= 5.6.2-5.9
  • libQt5DBus-devel >= 5.6.2-5.9
  • libQt5DBus-private-headers-devel >= 5.6.2-5.9
  • libQt5Gui-devel >= 5.6.2-5.9
  • libQt5Gui-private-headers-devel >= 5.6.2-5.9
  • libQt5Network-devel >= 5.6.2-5.9
  • libQt5Network-private-headers-devel >= 5.6.2-5.9
  • libQt5OpenGL-devel >= 5.6.2-5.9
  • libQt5OpenGL-private-headers-devel >= 5.6.2-5.9
  • libQt5OpenGLExtensions-devel-static >= 5.6.2-5.9
  • libQt5PlatformHeaders-devel >= 5.6.2-5.9
  • libQt5PlatformSupport-devel-static >= 5.6.2-5.9
  • libQt5PlatformSupport-private-headers-devel >= 5.6.2-5.9
  • libQt5PrintSupport-devel >= 5.6.2-5.9
  • libQt5PrintSupport-private-headers-devel >= 5.6.2-5.9
  • libQt5Sql-devel >= 5.6.2-5.9
  • libQt5Sql-private-headers-devel >= 5.6.2-5.9
  • libQt5Test-devel >= 5.6.2-5.9
  • libQt5Test-private-headers-devel >= 5.6.2-5.9
  • libQt5Widgets-devel >= 5.6.2-5.9
  • libQt5Widgets-private-headers-devel >= 5.6.2-5.9
  • libQt5Xml-devel >= 5.6.2-5.9
  • libqt4-devel >= 4.8.6-7.1
  • libqt4-devel-doc >= 4.8.6-7.3
  • libqt4-devel-doc-data >= 4.8.6-7.3
  • libqt4-linguist >= 4.8.6-7.1
  • libqt4-private-headers-devel >= 4.8.6-7.1
  • libqt4-sql-postgresql >= 4.8.6-7.1
  • libqt4-sql-postgresql-32bit >= 4.8.6-7.1
  • libqt4-sql-unixODBC >= 4.8.6-7.1
  • libqt4-sql-unixODBC-32bit >= 4.8.6-7.1
  • libqt5-qtbase-common-devel >= 5.6.2-5.9
  • libqt5-qtbase-devel >= 5.6.2-5.9
  • libqt5-qtbase-private-headers-devel >= 5.6.2-5.9
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libQt5Bootstrap-devel-static
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libqt4-devel
SUSE Linux Enterprise Workstation Extension 12
  • libqt4 >= 4.8.6-4.2
  • libqt4-sql-mysql-32bit >= 4.8.6-4.1
  • libqt4-sql-plugins >= 4.8.6-4.1
  • libqt4-sql-postgresql >= 4.8.6-4.1
  • libqt4-sql-postgresql-32bit >= 4.8.6-4.1
  • libqt4-sql-sqlite-32bit >= 4.8.6-4.2
  • libqt4-sql-unixODBC >= 4.8.6-4.1
  • libqt4-sql-unixODBC-32bit >= 4.8.6-4.1
Patchnames:
SUSE-SLE-WE-12-2015-380
SUSE Linux Enterprise Workstation Extension 12 SP1
  • libqt4-sql-mysql-32bit >= 4.8.6-4.1
  • libqt4-sql-postgresql >= 4.8.6-4.1
  • libqt4-sql-postgresql-32bit >= 4.8.6-4.1
  • libqt4-sql-sqlite-32bit >= 4.8.6-4.2
  • libqt4-sql-unixODBC >= 4.8.6-4.1
  • libqt4-sql-unixODBC-32bit >= 4.8.6-4.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP1 GA libqt4-sql-mysql-32bit
SUSE Linux Enterprise Workstation Extension 12 SP2
  • libqt4-sql-mysql-32bit >= 4.8.6-7.1
  • libqt4-sql-postgresql >= 4.8.6-7.1
  • libqt4-sql-postgresql-32bit >= 4.8.6-7.1
  • libqt4-sql-sqlite-32bit >= 4.8.6-7.1
  • libqt4-sql-unixODBC >= 4.8.6-7.1
  • libqt4-sql-unixODBC-32bit >= 4.8.6-7.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA libqt4-sql-mysql-32bit
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libqt4-sql-mysql-32bit >= 4.8.6-7.1
  • libqt4-sql-postgresql >= 4.8.6-7.1
  • libqt4-sql-postgresql-32bit >= 4.8.6-7.1
  • libqt4-sql-sqlite-32bit >= 4.8.6-7.1
  • libqt4-sql-unixODBC >= 4.8.6-7.1
  • libqt4-sql-unixODBC-32bit >= 4.8.6-7.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA libqt4-sql-mysql-32bit
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libQtWebKit-devel >= 4.6.3-5.34.2
  • libqt4-devel >= 4.6.3-5.34.2
  • libqt4-devel-doc >= 4.6.3-5.34.2
  • libqt4-devel-doc-data >= 4.6.3-5.34.2
  • libqt4-sql-postgresql >= 4.6.3-5.34.2
  • libqt4-sql-unixODBC >= 4.6.3-5.34.2
Builds
SAT Patch Nr: 10690
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libQtWebKit-devel >= 4.6.3-5.34.2
  • libQtWebKit4-x86 >= 4.6.3-5.34.2
  • libqt4-devel >= 4.6.3-5.34.2
  • libqt4-devel-doc >= 4.6.3-5.34.2
  • libqt4-devel-doc-data >= 4.6.3-5.34.2
  • libqt4-sql-mysql-x86 >= 4.6.3-5.34.2
  • libqt4-sql-postgresql >= 4.6.3-5.34.2
  • libqt4-sql-postgresql-x86 >= 4.6.3-5.34.2
  • libqt4-sql-sqlite-x86 >= 4.6.3-5.34.2
  • libqt4-sql-unixODBC >= 4.6.3-5.34.2
  • libqt4-sql-unixODBC-x86 >= 4.6.3-5.34.2
Builds
SAT Patch Nr: 10690
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libQtWebKit-devel >= 4.6.3-5.34.2
  • libQtWebKit4-32bit >= 4.6.3-5.34.2
  • libqt4-devel >= 4.6.3-5.34.2
  • libqt4-devel-doc >= 4.6.3-5.34.2
  • libqt4-devel-doc-data >= 4.6.3-5.34.2
  • libqt4-sql-mysql-32bit >= 4.6.3-5.34.2
  • libqt4-sql-postgresql >= 4.6.3-5.34.2
  • libqt4-sql-postgresql-32bit >= 4.6.3-5.34.2
  • libqt4-sql-sqlite-32bit >= 4.6.3-5.34.2
  • libqt4-sql-unixODBC >= 4.6.3-5.34.2
  • libqt4-sql-unixODBC-32bit >= 4.6.3-5.34.2
Builds
SAT Patch Nr: 10690
SUSE Linux Enterprise Desktop 11 SP3
  • libQtWebKit4 >= 4.6.3-5.34.2
  • libqt4 >= 4.6.3-5.34.2
  • libqt4-qt3support >= 4.6.3-5.34.2
  • libqt4-sql >= 4.6.3-5.34.2
  • libqt4-sql-mysql >= 4.6.3-5.34.2
  • libqt4-sql-postgresql >= 4.6.3-5.34.2
  • libqt4-sql-sqlite >= 4.6.3-5.34.2
  • libqt4-sql-unixODBC >= 4.6.3-5.34.2
  • libqt4-x11 >= 4.6.3-5.34.2
Builds
SAT Patch Nr: 10690
SUSE Linux Enterprise Desktop 11 SP3
  • libQtWebKit4 >= 4.6.3-5.34.2
  • libQtWebKit4-32bit >= 4.6.3-5.34.2
  • libqt4 >= 4.6.3-5.34.2
  • libqt4-32bit >= 4.6.3-5.34.2
  • libqt4-qt3support >= 4.6.3-5.34.2
  • libqt4-qt3support-32bit >= 4.6.3-5.34.2
  • libqt4-sql >= 4.6.3-5.34.2
  • libqt4-sql-32bit >= 4.6.3-5.34.2
  • libqt4-sql-mysql >= 4.6.3-5.34.2
  • libqt4-sql-mysql-32bit >= 4.6.3-5.34.2
  • libqt4-sql-postgresql >= 4.6.3-5.34.2
  • libqt4-sql-postgresql-32bit >= 4.6.3-5.34.2
  • libqt4-sql-sqlite >= 4.6.3-5.34.2
  • libqt4-sql-sqlite-32bit >= 4.6.3-5.34.2
  • libqt4-sql-unixODBC >= 4.6.3-5.34.2
  • libqt4-sql-unixODBC-32bit >= 4.6.3-5.34.2
  • libqt4-x11 >= 4.6.3-5.34.2
  • libqt4-x11-32bit >= 4.6.3-5.34.2
Builds
SAT Patch Nr: 10690
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libQtWebKit4 >= 4.6.3-5.34.2
  • libQtWebKit4-32bit >= 4.6.3-5.34.2
  • libqt4 >= 4.6.3-5.34.2
  • libqt4-32bit >= 4.6.3-5.34.2
  • libqt4-qt3support >= 4.6.3-5.34.2
  • libqt4-qt3support-32bit >= 4.6.3-5.34.2
  • libqt4-sql >= 4.6.3-5.34.2
  • libqt4-sql-32bit >= 4.6.3-5.34.2
  • libqt4-sql-mysql >= 4.6.3-5.34.2
  • libqt4-sql-sqlite >= 4.6.3-5.34.2
  • libqt4-x11 >= 4.6.3-5.34.2
  • libqt4-x11-32bit >= 4.6.3-5.34.2
  • qt4-x11-tools >= 4.6.3-5.34.2
Builds
SAT Patch Nr: 10690
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libQtWebKit4 >= 4.6.3-5.34.2
  • libqt4 >= 4.6.3-5.34.2
  • libqt4-qt3support >= 4.6.3-5.34.2
  • libqt4-sql >= 4.6.3-5.34.2
  • libqt4-sql-mysql >= 4.6.3-5.34.2
  • libqt4-sql-sqlite >= 4.6.3-5.34.2
  • libqt4-x11 >= 4.6.3-5.34.2
  • qt4-x11-tools >= 4.6.3-5.34.2
Builds
SAT Patch Nr: 10690
SUSE Linux Enterprise Server 11 SP3
  • libQtWebKit4 >= 4.6.3-5.34.2
  • libQtWebKit4-x86 >= 4.6.3-5.34.2
  • libqt4 >= 4.6.3-5.34.2
  • libqt4-qt3support >= 4.6.3-5.34.2
  • libqt4-qt3support-x86 >= 4.6.3-5.34.2
  • libqt4-sql >= 4.6.3-5.34.2
  • libqt4-sql-mysql >= 4.6.3-5.34.2
  • libqt4-sql-sqlite >= 4.6.3-5.34.2
  • libqt4-sql-x86 >= 4.6.3-5.34.2
  • libqt4-x11 >= 4.6.3-5.34.2
  • libqt4-x11-x86 >= 4.6.3-5.34.2
  • libqt4-x86 >= 4.6.3-5.34.2
  • qt4-x11-tools >= 4.6.3-5.34.2
Builds
SAT Patch Nr: 10690
openSUSE Leap 15.0
  • libqt4 >= 4.8.7-lp150.7.5
  • libqt4-qt3support >= 4.8.7-lp150.7.5
  • libqt4-sql >= 4.8.7-lp150.7.5
  • libqt4-sql-sqlite >= 4.8.7-lp150.7.5
  • libqt4-x11 >= 4.8.7-lp150.7.5
Patchnames:
openSUSE Leap 15.0 GA libqt4
openSUSE Leap 42.1
  • libqt4 >= 4.8.6-5.2
  • libqt4-32bit >= 4.8.6-5.2
  • libqt4-devel >= 4.8.6-5.2
  • libqt4-linguist >= 4.8.6-5.2
  • libqt4-qt3support >= 4.8.6-5.2
  • libqt4-qt3support-32bit >= 4.8.6-5.2
  • libqt4-sql >= 4.8.6-5.2
  • libqt4-sql-32bit >= 4.8.6-5.2
  • libqt4-sql-mysql >= 4.8.6-5.1
  • libqt4-sql-mysql-32bit >= 4.8.6-5.1
  • libqt4-sql-postgresql >= 4.8.6-5.1
  • libqt4-sql-postgresql-32bit >= 4.8.6-5.1
  • libqt4-sql-sqlite >= 4.8.6-5.2
  • libqt4-sql-sqlite-32bit >= 4.8.6-5.2
  • libqt4-sql-unixODBC >= 4.8.6-5.1
  • libqt4-sql-unixODBC-32bit >= 4.8.6-5.1
  • libqt4-x11 >= 4.8.6-5.2
  • libqt4-x11-32bit >= 4.8.6-5.2
Patchnames:
openSUSE Leap 42.1 GA libqt4-32bit
openSUSE Leap 42.2
  • libQt5Concurrent-devel >= 5.6.1-2.1
  • libQt5Concurrent5 >= 5.6.1-2.1
  • libQt5Core-devel >= 5.6.1-2.1
  • libQt5Core-private-headers-devel >= 5.6.1-2.1
  • libQt5Core5 >= 5.6.1-2.1
  • libQt5DBus-devel >= 5.6.1-2.1
  • libQt5DBus5 >= 5.6.1-2.1
  • libQt5Gui-devel >= 5.6.1-2.1
  • libQt5Gui-private-headers-devel >= 5.6.1-2.1
  • libQt5Gui5 >= 5.6.1-2.1
  • libQt5Network-devel >= 5.6.1-2.1
  • libQt5Network5 >= 5.6.1-2.1
  • libQt5OpenGL-devel >= 5.6.1-2.1
  • libQt5OpenGL5 >= 5.6.1-2.1
  • libQt5PlatformHeaders-devel >= 5.6.1-2.1
  • libQt5PrintSupport-devel >= 5.6.1-2.1
  • libQt5PrintSupport5 >= 5.6.1-2.1
  • libQt5Sql-devel >= 5.6.1-2.1
  • libQt5Sql5 >= 5.6.1-2.1
  • libQt5Sql5-mysql >= 5.6.1-2.1
  • libQt5Sql5-postgresql >= 5.6.1-2.1
  • libQt5Sql5-sqlite >= 5.6.1-2.1
  • libQt5Sql5-unixODBC >= 5.6.1-2.1
  • libQt5Test-devel >= 5.6.1-2.1
  • libQt5Test5 >= 5.6.1-2.1
  • libQt5Widgets-devel >= 5.6.1-2.1
  • libQt5Widgets5 >= 5.6.1-2.1
  • libQt5Xml-devel >= 5.6.1-2.1
  • libQt5Xml5 >= 5.6.1-2.1
  • libqt4 >= 4.8.6-14.1
  • libqt4-32bit >= 4.8.6-14.1
  • libqt4-devel >= 4.8.6-14.1
  • libqt4-linguist >= 4.8.6-14.1
  • libqt4-qt3support >= 4.8.6-14.1
  • libqt4-qt3support-32bit >= 4.8.6-14.1
  • libqt4-sql >= 4.8.6-14.1
  • libqt4-sql-32bit >= 4.8.6-14.1
  • libqt4-sql-mysql >= 4.8.6-14.1
  • libqt4-sql-postgresql >= 4.8.6-14.1
  • libqt4-sql-sqlite >= 4.8.6-14.1
  • libqt4-sql-sqlite-32bit >= 4.8.6-14.1
  • libqt4-sql-unixODBC >= 4.8.6-14.1
  • libqt4-x11 >= 4.8.6-14.1
  • libqt4-x11-32bit >= 4.8.6-14.1
  • libqt5-qtbase-common-devel >= 5.6.1-2.1
  • libqt5-qtbase-devel >= 5.6.1-2.1
Patchnames:
openSUSE Leap 42.2 GA libQt5Concurrent-devel
openSUSE Leap 42.2 GA libqt4-32bit
openSUSE Leap 42.3
  • libQt5Concurrent-devel >= 5.6.2-6.1
  • libQt5Concurrent5 >= 5.6.2-6.1
  • libQt5Core-devel >= 5.6.2-6.1
  • libQt5Core-private-headers-devel >= 5.6.2-6.1
  • libQt5Core5 >= 5.6.2-6.1
  • libQt5DBus-devel >= 5.6.2-6.1
  • libQt5DBus5 >= 5.6.2-6.1
  • libQt5Gui-devel >= 5.6.2-6.1
  • libQt5Gui-private-headers-devel >= 5.6.2-6.1
  • libQt5Gui5 >= 5.6.2-6.1
  • libQt5Network-devel >= 5.6.2-6.1
  • libQt5Network5 >= 5.6.2-6.1
  • libQt5OpenGL-devel >= 5.6.2-6.1
  • libQt5OpenGL5 >= 5.6.2-6.1
  • libQt5PlatformHeaders-devel >= 5.6.2-6.1
  • libQt5PrintSupport-devel >= 5.6.2-6.1
  • libQt5PrintSupport5 >= 5.6.2-6.1
  • libQt5Sql-devel >= 5.6.2-6.1
  • libQt5Sql5 >= 5.6.2-6.1
  • libQt5Sql5-mysql >= 5.6.2-6.1
  • libQt5Sql5-postgresql >= 5.6.2-6.1
  • libQt5Sql5-sqlite >= 5.6.2-6.1
  • libQt5Sql5-unixODBC >= 5.6.2-6.1
  • libQt5Test-devel >= 5.6.2-6.1
  • libQt5Test5 >= 5.6.2-6.1
  • libQt5Widgets-devel >= 5.6.2-6.1
  • libQt5Widgets5 >= 5.6.2-6.1
  • libQt5Xml-devel >= 5.6.2-6.1
  • libQt5Xml5 >= 5.6.2-6.1
  • libqt4 >= 4.8.6-16.6
  • libqt4-32bit >= 4.8.6-16.6
  • libqt4-devel >= 4.8.6-16.6
  • libqt4-linguist >= 4.8.6-16.6
  • libqt4-qt3support >= 4.8.6-16.6
  • libqt4-qt3support-32bit >= 4.8.6-16.6
  • libqt4-sql >= 4.8.6-16.6
  • libqt4-sql-32bit >= 4.8.6-16.6
  • libqt4-sql-mysql >= 4.8.6-16.2
  • libqt4-sql-postgresql >= 4.8.6-16.2
  • libqt4-sql-sqlite >= 4.8.6-16.6
  • libqt4-sql-sqlite-32bit >= 4.8.6-16.6
  • libqt4-sql-unixODBC >= 4.8.6-16.2
  • libqt4-x11 >= 4.8.6-16.6
  • libqt4-x11-32bit >= 4.8.6-16.6
  • libqt5-qtbase-common-devel >= 5.6.2-6.1
  • libqt5-qtbase-devel >= 5.6.2-6.1
Patchnames:
openSUSE Leap 42.3 GA libQt5Concurrent-devel
openSUSE Leap 42.3 GA libqt4-32bit
openSUSE Tumbleweed
  • libqt4 >= 4.8.7-5.4
  • libqt4-32bit >= 4.8.7-5.4
  • libqt4-devel >= 4.8.7-5.4
  • libqt4-devel-32bit >= 4.8.7-5.4
  • libqt4-devel-doc >= 4.8.7-5.5
  • libqt4-devel-doc-data >= 4.8.7-5.5
  • libqt4-linguist >= 4.8.7-5.4
  • libqt4-private-headers-devel >= 4.8.7-5.4
  • libqt4-qt3support >= 4.8.7-5.4
  • libqt4-qt3support-32bit >= 4.8.7-5.4
  • libqt4-sql >= 4.8.7-5.4
  • libqt4-sql-32bit >= 4.8.7-5.4
  • libqt4-sql-mysql >= 4.8.7-5.3
  • libqt4-sql-mysql-32bit >= 4.8.7-5.3
  • libqt4-sql-postgresql >= 4.8.7-5.3
  • libqt4-sql-postgresql-32bit >= 4.8.7-5.3
  • libqt4-sql-sqlite >= 4.8.7-5.4
  • libqt4-sql-sqlite-32bit >= 4.8.7-5.4
  • libqt4-sql-unixODBC >= 4.8.7-5.3
  • libqt4-sql-unixODBC-32bit >= 4.8.7-5.3
  • libqt4-x11 >= 4.8.7-5.4
  • libqt4-x11-32bit >= 4.8.7-5.4
  • qt4-x11-tools >= 4.8.7-5.5
Patchnames:
openSUSE Tumbleweed GA libqt4-32bit


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP3 libqt4 Released
SUSE Linux Enterprise Desktop 11 SP4 libqt4 Released
SUSE Linux Enterprise Desktop 12 GA libqt4 Released
SUSE Linux Enterprise Desktop 12 GA libqt5-qtbase Released
SUSE Linux Enterprise Desktop 12 SP1 libqt4 Released
SUSE Linux Enterprise SDK 11 SP3 libqt4 Released
SUSE Linux Enterprise SDK 11 SP4 libqt4 Released
SUSE Linux Enterprise SDK 12 GA libqt4 Released
SUSE Linux Enterprise SDK 12 GA libqt5-qtbase Released
SUSE Linux Enterprise Server 11 SP3 libqt4 Released
SUSE Linux Enterprise Server 11 SP3 LTSS libqt4 Released
SUSE Linux Enterprise Server 11 SP4 libqt4 Released
SUSE Linux Enterprise Server 12 GA libqt4 Released
SUSE Linux Enterprise Server 12 GA libqt5-qtbase Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 libqt4 Released
SUSE Linux Enterprise Server for VMWare 11 SP3 libqt4 Released
SUSE Linux Enterprise Workstation Extension 12 GA libqt4 Released